> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a model file



## OpenAPI

````yaml /api-reference/ai-navigator-api.json delete /api/models/{modelId}/files/{fileId}
openapi: 3.0.0
info:
  title: AI Navigator API
  version: 1.0.0
  description: API documentation for AI Navigator
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /api/models/{modelId}/files/{fileId}:
    delete:
      tags:
        - Models
        - Files
      summary: Delete a model file
      parameters:
        - in: path
          name: modelId
          required: true
          schema:
            type: string
          description: ID of the model
        - in: path
          name: fileId
          required: true
          schema:
            type: string
          description: ID of the file
      responses:
        '200':
          description: File deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
        '404':
          description: Model or file not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - INVALID_REQUEST
                - DATABASE_NOT_RUNNING
                - INTERNAL_SERVER_ERROR
                - INVALID_SERVER_ID
                - SERVER_NOT_RUNNING
                - SERVER_RUNNING
                - INTERNAL_SERVER_ERROR
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: Enter your API key here

````